#include <iostream>
#include <string>
#include "wektor.h"
#include <math.h>

using namespace std;

wektor::wektor() {
    x = y = 0;
}

wektor::wektor(float _x, float _y) {
    x = _x;
    y = _y;
}

wektor wektor::operator+(const wektor &wektor1) {
    wektor nowy(x + wektor1.x, y + wektor1.y);
    return nowy;
}

wektor wektor::operator-(const wektor &wektor1) {
    wektor nowy(x - wektor1.x, y - wektor1.y);
    return nowy;
}


wektor &wektor::operator+=(const wektor &wektor1) {
    x += wektor1.x;
    y += wektor1.y;
    return *this;
}

wektor &wektor::operator-=(const wektor &wektor1) {
    x -= wektor1.x;
    y -= wektor1.y;
    return *this;
}

bool wektor::operator!=(const wektor &wektor1) {
    return !((x==wektor1.x) && (y==wektor1.y));
}

bool wektor::operator==(const wektor &wektor1) {
    return ((x==wektor1.x) && (y==wektor1.y));
}

ostream &operator<<(ostream & ekran, const wektor &wektor1) {
    ekran << "(" << wektor1.x << ", " << wektor1.y << ")";
    return ekran;
}

istream &operator>>(istream & klawiatura, wektor &wektor1) {
    string ss;
    cin >> ss;
    wektor1.x = atof(ss.c_str());
    cin >> ss;
    wektor1.y = atof(ss.c_str());
    return klawiatura;
}

float wektor::operator*(const wektor &wektor1) {
    return x * wektor1.x + y * wektor1.y;
}

bool wektor::operator>(const wektor &wektor1) {
    return (sqrt(x*x + y*y) > sqrt(wektor1.x * wektor1.x + wektor1.y * wektor1.y));
}

bool wektor::operator<(const wektor &wektor1) {
    return (sqrt(x*x + y*y) < sqrt(wektor1.x * wektor1.x + wektor1.y * wektor1.y));
}

bool wektor::operator>=(const wektor &wektor1) {
    return (sqrt(x*x + y*y) >= sqrt(wektor1.x * wektor1.x + wektor1.y * wektor1.y));
}

bool wektor::operator<=(const wektor &wektor1) {
    return (sqrt(x*x + y*y) <= sqrt(wektor1.x * wektor1.x + wektor1.y * wektor1.y));
}
